// 个人中心页面
define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
		
//		alert(this.comp("loginButton"));	
//		alert(this.getComponent("loginButton"));		
//		alert(this.owner.comp("loginButton"));
//		alert(this.loginBtnVisible);
//		this.loginBtnVisible = justep.Bind.observable(false);
		
		
	};
	
	
	
	//图片路径转换
	Model.prototype.getImageUrl = function(url){
		return require.toUrl(url);
	};
	
	//进入登录页
	Model.prototype.loginBtnClick = function(event){
//		alert("登陆按钮" +this.comp("loginBtn"));
		justep.Shell.showPage("login");
	};
	
	//退出登录
	Model.prototype.logoutBtnClick = function(event){
	
		
	
		//删除localStorage
		localStorage.removeItem("un");
        localStorage.removeItem("pw");
		
		//删除userData中数据
		userData.clear();
        userData.refreshData();  
		
		//隐藏 退出登录按钮
		this.comp("logoutBtn").$domNode.css('display', 'none');


		//显示 立即登陆按钮
		this.comp("loginBtn").$domNode.css('display', '');
	};
	

	// onload
	Model.prototype.modelLoad = function(event){
	
		// 添加自定义事件
		justep.Shell.on("onLoginSuccess",this.onLoginSuccess,this);
		justep.Shell.on("onLogoutSuccess",this.onLogoutSuccess,this);
	
//		alert("modelLoad");
//		alert(this.comp("loginBtn"));
//		alert(this.comp("logoutBtn"));
//		alert(userData.getCount());
	

//		
//		//判断是否已经登录
//		var un = localStorage.getItem('un');  
//        var pw = localStorage.getItem('pw');
//        
//     
//       if(un!=null && pw!=null){
//    	   // alert("已经登录");
//    	  
//    	   //已经登录 显示退出按钮
//    	   this.comp("loginBtn").$domNode.css('display', 'none');
//    	   this.comp("logoutBtn").$domNode.css('display', '');
//    	   
//       }else{
//    	   // alert("尚未登录");
//    	  
//    	   //未登录 显示登录按钮
//    	   this.comp("loginBtn").$domNode.css('display', '');
//    	   this.comp("logoutBtn").$domNode.css('display', 'none');
//       }


		//判断是否有用户
		if(userData.getCount()==1){
			 //已经登录 显示退出按钮
    	   this.comp("loginBtn").$domNode.css('display', 'none');
    	   this.comp("logoutBtn").$domNode.css('display', '');
		}else{
			 //未登录 显示登录按钮
    	   this.comp("loginBtn").$domNode.css('display', '');
    	   this.comp("logoutBtn").$domNode.css('display', 'none');
		}

		
	};
	
	// 删除自定义事件
	Model.prototype.modelUnLoad = function(event){
		justep.Shell.off("onLoginSuccess",this.onLoginSuccess);
		justep.Shell.off("onLogoutSuccess",this.onLogoutSuccess);
	};
	
	//登陆成功事件
	Model.prototype.onLoginSuccess = function(result){
	
		
		//alert("onLoginSuccess触发自定义事件 参数"+result);
//		alert(userData);
		
		
		
		
//		alert(this.comp("logoutBtn"));
//		//登陆成功后  
//		alert(this.comp("userData"));

		

		//隐藏 立即登陆按钮
//		this.comp("loginBtn").$domNode.css('display', 'none');
		$("a[xid=loginBtn]", this.getRootNode()).hide();
//		alert('aa');
		
		//显示 退出登录按钮
//		this.comp("logoutBtn").$domNode.css('display', '');
		$("a[xid=logoutBtn]", this.getRootNode()).show();
		

	};
	
	//退出成功事件
	Model.prototype.onLogoutSuccess = function(result){

		//隐藏 立即登陆按钮
		$("a[xid=loginBtn]", this.getRootNode()).show();
		
		//显示 退出登录按钮
		$("a[xid=logoutBtn]", this.getRootNode()).hide();
		

	};

	
	//点击 我的账号按钮
	Model.prototype.userSettingClick = function(event){
	
		//判断是否有用户
		if(userData.getCount()==1){
			
			
			
			var tempsid = userData.val('sid');
			
			if(tempsid==null){
				//登陆用户 为老师
				var url =  require.toUrl('./user_setting_teacher.w');
				justep.Shell.showPage(url);
				
			}else{
				//登陆用户 非老师
				//存在一个登陆用户 打开用户设置界面
				var url =  require.toUrl('./user_setting.w');
				justep.Shell.showPage(url);
				
				//justep.Shell.showPage("user_setting");
			}
			
			
		}else{
			justep.Util.hint("您尚未登录，请先登录！",{"position": "bottom"});
		}
	
		
	};
	
	
	//点击 修改密码
	Model.prototype.pwdEditClick = function(event){
		
		//判断是否有用户
		if(userData.getCount()==1){
			//存在一个登陆用户 打开用户设置界面
			
			justep.Shell.showPage("user_pwd");
		}else{
			justep.Util.hint("您尚未登录，请先登录！",{"position": "bottom"});
		}

	};
	
	
	
	return Model;
});