define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	//MD5
	var MD5 = require('$UI/system/lib/base/md5');

	//引用jpush的js
	var jpushInstance = require("./jpush");

	require("$UI/system/lib/cordova/cordova");
	require("cordova!org.apache.cordova.device");
	require("cordova!cn.jpush.phonegap.JPushPlugin");

	var Model = function() {
		this.callParent();
	};

	//登陆
	Model.prototype.button1Click = function(event) {

		//self 
		var self = this;
		
		//为了ios 生成文件二进制不同
		var abcde = 1;
		var abc = abcde;

		//用户名和密码为空提示
		if ($.trim(this.comp('nameInput').val()) === "" || $.trim(this.comp('passwordInput').val()) === "") {
			//提示
			justep.Util.hint("请输入用户名和密码!!", {
				"position" : "bottom"
			});
		} else {

			//加密密码
			var m = new MD5();
			m.b64pad = "=";
			var b64md5pwd = m.b64_md5(this.comp('passwordInput').val());

			//请求参数 用户名 密码
			var params = {
				"columns" : userData.getColumnIDs(),
				"username" : this.comp('nameInput').val(),
				"password" : b64md5pwd
			};

			//alert("用户名"+this.comp('nameInput').val()+" 密码"+b64md5pwd);

			///////////////// 请求成功后的回调方法
			var success = function(resultData) {

				//alert("返回"+resultData.success+" "+resultData.uid+" "+resultData.username+" "+resultData.password);

				//是否登录成功
				if (resultData.success) {

					

					//设置data数据
					userData.clear();
					userData.loadData(resultData.result);
					userData.refreshData();
					
					
//					alert("登陆成功 userData uid "+ userData.val('uid') +" sid "+ userData.val('sid'));
//					alert(userData.val('sid')==null);
//					alert(userData.val('sid')==undefined);
					

					//alert(" sid" + userData.val('sid') + " uid" + userData.val('uid') + " username" + userData.val('username') + " password" + userData.val('password'));

					//存到   localStorage html5 本地存储  
					if (self.comp('toggle1').val() == "true") {
						
						//如果记住密码选中,登录成功则将用户名和密码保存到localStorage中
						localStorage.setItem('uid', userData.val('uid'));//用户id
						localStorage.setItem('un', userData.val('username'));
						localStorage.setItem('pw', userData.val('password'));
						localStorage.setItem('remeberMe', true);
					} else {
						
						//否则不存储localStorage
						localStorage.removeItem("uid");
						localStorage.removeItem("un");
						localStorage.removeItem("pw");
						localStorage.removeItem('remeberMe');
					}

					//设置推送别名
					jpushInstance.getRegistrationID().done(function(id) {
						jpushInstance.addPushAlias(userData.val('sid'));
					});

					//派发事件 并传递需要的参数
					justep.Shell.fireEvent("onLoginSuccess", {
						aaaa1 : 'aaaa2'
					});

					//关闭页面
					justep.Shell.closePage();

				} else {

					userData.clear();
					userData.refreshData();

					//登陆不成功

					//取消推送别名
					jpushInstance.getRegistrationID().done(function(id) {
						jpushInstance.delPushAlias();
					});

					//                            self.comp("messageDialog").show({
					//                                "title" : "温馨提示",
					//                                "message" : "输入的用户名或密码不正确!"
					//                            });
					justep.Util.hint("输入的用户名或密码不正确!!", {
						"position" : "bottom"
					});

				}

			};

			/////////////////// 发送登陆请求
			justep.Baas.sendRequest({
				"url" : "/school/school", // servlet请求地址
				"action" : "login", // action
				"async" : true,
				"params" : params, // action对应的参数
				"success" : success,
				"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
			});
		}

	};

	return Model;
});