define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	var ShellImpl = require('$UI/system/lib/portal/shellImpl');

	
	//引用jpush的js
	var jpushInstance = require("./jpush");
	
	require("$UI/system/lib/cordova/cordova");
	require("cordova!org.apache.cordova.device");
	require("cordova!cn.jpush.phonegap.JPushPlugin");
	
	
	var Model = function(){
		this.callParent();
		var shellImpl = new ShellImpl(this, {
			"contentsXid" : "pages",
			"pageMappings" : {
			
				//主页
				"main":{
					url : require.toUrl('./index_main.w')
				},
//				"list":{
//					url : require.toUrl('./list.w')
//				},

				//新闻详细页
				"news_detail":{
					url : require.toUrl('./news_detail.w')
				},
				
//				"post":{
//					url : require.toUrl('./post.w')
//				},

				//登陆
				"login":{
					url : require.toUrl('./login.w')
				},
				
				//我的资料
				"user_setting":{
					url : require.toUrl('./user_setting.w')
				},
				
				//修改密码
				"user_pwd":{
					url : require.toUrl('./user_pwd.w')
				}
			
				
			
				
//				"index_login":{
//					url : require.toUrl('./index_login.w')
//				},
//				
//				"registered":{
//					url : require.toUrl('./registered.w')
//				},
//				"important":{
//					url : require.toUrl('./important.w')
//				}				
			}
		});
	};

	Model.prototype.modelLoad = function(event){
	
		//alert(justep.URL.getParam(name));
		//var notifyUrl = location.origin + "/baas/weixin/weixin/notify";
		//require.toUrl("$UI");
//		alert(location.origin); 
	
		//alert("mainActivity modelLoad");
		
		//创建公共变量
		window.userData = this.comp("userData");
		
		//此app 的 机构id
		window.sysAgencyId = "1";
		
		//此app 访问图片的服务器地址
//		window.imgServerPath = "http://192.168.1.112:8080/sms/";
//		window.contentImgServerPath = "http://192.168.1.112:8080/";
		
		window.imgServerPath = "http://yuxinjiaoyu.imwork.net/sms/";
		window.contentImgServerPath = "http://yuxinjiaoyu.imwork.net/";
		
		
		
		
		////////////////////判断是否登录 
		
 		if(localStorage.getItem('remeberMe')){
            //记住密码 
            
            //alert("记住密码  看data中是否有记录    userData.getCount()"+userData.getCount());
               
			//读取本地存贮的用户
			var uid = localStorage.getItem('uid');//用户id
			var un = localStorage.getItem('un');//用户名称
	        var pw = localStorage.getItem('pw');//密码
	        
	        //alert(uid+" "+un+" "+pw);
	        
	        //请求参数 用户名 密码
            var params = {
            		"uid":uid,
            		"username":un,
            		"password":pw
            };
            
            //请求成功后的回调方法
            var success = function(resultData) {
        	
            	//alert("记住用户 在启动项目时  验证用户id 用户名 密码 "+uid+" "+un+" "+pw);
            
            	//是否登录成功
            	if(resultData.success){
            		//验证登陆成功
            		
            		//设置data数据
                	userData.clear();

                	userData.loadData(resultData.result);

                    userData.refreshData();
                    
                    //设置推送别名
                    jpushInstance.getRegistrationID().done(function(id) {
                    
                    	////alert("mainactitviy userdata.val sid:"+userData.val('sid'));
		            	jpushInstance.addPushAlias(userData.val('sid'));
					});
                    
                    
            	}else{
            		//验证登陆失败
            		
            		//清空data数据
            		userData.clear();
            		userData.refreshData();
            		
            		//取消推送别名
                    jpushInstance.getRegistrationID().done(function(id) {
		            	jpushInstance.delPushAlias();
					});
            		
            	}
               
            };
	        
	        
            justep.Baas.sendRequest({
                    "url" : "/school/school", // servlet请求地址
                    "action" : "login", // action
                    "async" : true,
                    "params" : params, // action对应的参数
                    "success" : success, // 请求成功后的回调方法
					"error":function(){
							justep.Util.hint("无网络连接!");
						}
		            });
                
        }else{
        	//未记住密码
        	
        	//清空data数据
            userData.clear();
            userData.refreshData();
            
            
            jpushInstance.getRegistrationID().done(function(id) {
            	//取消推送别名
            	jpushInstance.delPushAlias();
			});  

        }

		//跳转到主页
		justep.Shell.showPage("main");
	};

	
	return Model;
});