define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
//		this.newsid="";
	};

	Model.prototype.modelParamsReceive = function(event) {
		var self = this;

	
		
		var context = this.getContext();
		//获取URL中的参数
		var newsid = context.getRequestParameter("newsid");

		var data = this.comp("newsContentData");

		// 请求参数 uid 用户名 密码
		var params = {
				// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			"newsid" : newsid
		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能
				data.clear();
				data.loadData(resultData.result);
				if(data.getFirstRow()!=null){
					var ct = data.getFirstRow().val("content_text");
//					ct = ct.replace('src="/','src="'+contentImgServerPath);
					//ct = ct.replace(new RegExp('src="/'),'src="'+contentImgServerPath);
					ct = ct.replace(/src="/g,'src="'+contentImgServerPath);//正则表达式 替换所有src=
//					alert(ct);

					
					$(self.getElementByXid('newsContent')).html(ct);
				}else{
					$(self.getElementByXid('newsContent')).html('<center>未获取到数据</center');
				}

//				$(self.getElementByXid('newsContent')).html('<h1>界领先 或可抵挡任何入侵美媒:中国量子通信世界领先 或可抵挡任何入侵</h1><div class="subtitle clearfix"><span class="profile_avatar"><a href=""><img src="http://p1.pstatp.com/large/4d00054b126ceaf920"/>环球网</a></span><span class="time">2016-03-08 11:30</span></div>');
				
			} else {
				// 失败 提示错误代码
				justep.Util.hint("加载新闻失败!", {
					"position" : "bottom"
				});
			}
		};

		// ///////////////// 获取系统消息
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "getNewsContent", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});
//
		

	};



	return Model;
});