define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function(){
		this.callParent();
	};


	//获取我的资料
	Model.prototype.myInfoDataCustomRefresh = function(event){
			
			var myInfoData = event.source;

			//请求参数 用户名 密码
			var params = {
					"uid" : userData.val('uid'),

					"username" : userData.val('username'),
					"password" : userData.val('password'),
					"columns" : myInfoData.getColumnIDs()
			};

		

			///////////////// 请求成功后的回调方法
			var success = function(resultData) {

				// 判断用户验证是否通过
				if (resultData.success) {
					// 成功 继续自己的功能
					myInfoData.loadData(resultData.result);
					myInfoData.first();
				} else {
					// 失败 清空登陆状态，跳转到登陆页面 并提示错误代码
					justep.Util.hint(resultData.resultCode);
					// justep.Shell.showPage("login");
				}

			};

			/////////////////// 发送登陆请求
			justep.Baas.sendRequest({
				"url" : "/school/school", // servlet请求地址
				"action" : "getStudentInfo", // action
				"async" : true,
				"params" : params, // action对应的参数
				"success" : success,
				"error":function(){
					justep.Util.hint("请检查网络连接!");
				}
			});

	};

	return Model;
});