define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	
	var Model = function(){
		this.callParent();
	};

	//课程信息
	Model.prototype.lessonDataCustomRefresh = function(event) {
		var data = event.source;

		// 请求参数 uid 用户名 密码
		var params = {
			"uid" : userData.val('uid'),
		
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			"agencyid" : sysAgencyId,
			"teacherid" : userData.val('uid'),
			// 列定义，里面包含列名和列数据类型
			"columns" : data.getColumnIDs(),
			// 分页信息 – 行数
			"limit" : event.limit,
			// 分页信息 – 行偏移
			"offset" : event.offset
		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {
		
			//alert(resultData);
		
			// 判断用户验证是否通过
			if (resultData.success) {
				// 成功 继续自己的功能
//				data.loadData(resultData.classStudent);
				if(event.offset==0){
					data.loadData(resultData.result);
				}else{
					data.loadData(resultData.result, true);
				}
				
				
			} else {
				// 失败 清空登陆状态，跳转到登陆页面 并提示错误代码
				justep.Util.hint(resultData.resultCode);
				// justep.Shell.showPage("login");
			}
		};

		// ///////////////// 发送登陆请求
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "findClass", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});

	};
	
	
	//我的课程上拉
	Model.prototype.myLessonListPullUp = function(event){
	
		var d = this.comp("lessonData");
		d.loadNextPageData();

	};

	//学员点名按钮
	Model.prototype.rollCallClick = function(event){
	
		// 行
		var row = event.bindingContext.$object;
		var class_id = row.val("class_id");
		var class_name = row.val("class_name");
		
		
//		alert("class_id:"+class_id);
	
		//打开页面
		var url =  require.toUrl('./teacher_rollcall.w');
		var params = {
	        "classid" : class_id,
	         "classname" : class_name
	        
	        //a2 : 2,
	    }
		justep.Shell.showPage(url,params);
	};

	//学员签到信息
	Model.prototype.signClick = function(event){
	
		
		// 行
		var row = event.bindingContext.$object;
		var class_id = row.val("class_id");
		var class_name = row.val("class_name");
		
		
//		alert("class_id:"+class_id);
	
		//打开页面
		var url =  require.toUrl('./teacher_rollcall_teachinglog.w');
		var params = {
	        "classid" : class_id,
	        "classname" : class_name

	    }
	    
//	    alert("查看签到 classid"+class_id +" url "+url);
	    
		justep.Shell.showPage(url,params);

	};

	return Model;
});