define(function(require){
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	
	var Model = function(){
		this.callParent();
		
		//班级id
		var classSetId;
		//班级名称
		var classSetName;
		
		//上课人数
		var stucount;//缴费学员人数
		var stutestcount;//试听学员人数
	};

	//学员全选
	Model.prototype.allChooseChange = function(event){
		
		var self = this;

		var studentData = this.comp("studentData");
		var choose=this.comp("allChoose").val();
		
		//计算班级人数
//		if(choose){
			//点击全选
			self.stucount = 0;
//		}
		
		
		studentData.each(function(obj){
		    var row = obj.row;
		    
		    
		    //判断 点击全选  学员是否具备被选中条件
//		    <s:if test="#list[2] <= 0 ||#list[3]==null">disabled</s:if>
		    var lesson_number = row.val("lesson_number");
		    var attendance = row.val("attendance");

		    
		    if(lesson_number <=0 || attendance == null ){
		    	//disabled
		    }else{
		    	if(choose){				
		    		studentData.setValue("choose","1",obj.row);
		    		self.stucount = self.stucount+1;
				} else {
					studentData.setValue("choose","",obj.row);
				}	
		    }   
			
		});
		
		//上课人数
		var classNumberSpan = this.getElementByXid("classNumberSpan");
		classNumberSpan.innerHTML=self.stucount+self.stutestcount;
	};
	
	//试听学员全选
	Model.prototype.allTestChooseChange = function(event){
	
		var self = this;
	
		var testStudentData = this.comp("testStudentData");
		var choose=this.comp("allTestChoose").val();
		
		//计算班级人数
//		if(choose){
			//点击全选
			self.stutestcount = 0;
//		}
		
		testStudentData.each(function(obj){
			 var row = obj.row;
			 
//		判断试听学员是否具有权限
//		 <s:if test="#list[2] <= -3">disabled</s:if> 
			 var listen_num = row.val("listen_num");
			
			 if(listen_num <= -3){
				//disabled
			}else{
				if(choose){				
					testStudentData.setValue("choose","1",obj.row);
					self.stutestcount = self.stutestcount+1;
				} else {
					testStudentData.setValue("choose","",obj.row);
				}	
			}
		});
		
		//上课人数
		var classNumberSpan = this.getElementByXid("classNumberSpan");
		classNumberSpan.innerHTML=self.stucount+self.stutestcount;

	};
	
	//完成课次 加 减
	Model.prototype.addCountBtnClick = function(event) {
	
				
		var finishClass = this.comp("finishClass");
		var fv = finishClass.value+1;
		finishClass.set({"value":fv});

	};

	Model.prototype.reduceCountBtnClick = function(event) {
	
		var finishClass = this.comp("finishClass");
		
		
		if(finishClass.value > 0){ 
			var fv = finishClass.value-1;
			finishClass.set({"value":fv});
		}else{
			finishClass.set({"value":0});
		}
	};



	//保存按钮
	Model.prototype.settlementClick = function(event){
		
		var self = this;
		
		// 上课学生
		
		var studentData = this.comp("studentData");
		var studentDataCheck = "";
		studentData.each(function(obj){
			if("1"==studentData.getValue("choose",obj.row)){
				studentDataCheck =  studentDataCheck+studentData.getValue("student_id",obj.row)+","+studentData.getValue("tremark",obj.row)+","+studentData.getValue("tremark2",obj.row)+","+studentData.getValue("tcomment",obj.row)+","+ studentData.getValue("class_id",obj.row)+"|";
			}
		});

		
		var testStudentData = this.comp("testStudentData");
		var testStudentDataCheck = "";
		testStudentData.each(function(obj){
			if("1"==testStudentData.getValue("choose",obj.row)){
				testStudentDataCheck =  testStudentDataCheck+testStudentData.getValue("student_id",obj.row)+","+testStudentData.getValue("tremark",obj.row)+","+testStudentData.getValue("tremark2",obj.row)+","+testStudentData.getValue("tcomment",obj.row)+","+ testStudentData.getValue("class_id",obj.row)+"|";
			}
		});


		if(studentDataCheck==""&&testStudentDataCheck==""){
			justep.Util.hint("请选择上课学生!");
			return;
		}
		
		
		
		//上课日期
		var classDateInput = this.comp("classDateInput");
		var classDate = classDateInput.value;
		
		if(classDate==null||classDate==""){
			justep.Util.hint("请选择上课日期!");
			return;
		}
		
		
		//完成课次
		//alert("请输入完成课次！");
		var finishClass = this.comp("finishClass");
		var fv = finishClass.value;
		
		if(fv==null){
			justep.Util.hint("请输入完成课次!");
			return;
		}
		
		//选中教师id
		//alert("请选择教师！");
		var teacherSelect = this.comp("teacherSelect");
		var teacherSelectId = teacherSelect.val();
		
		if(teacherSelectId==null||teacherSelectId==""){
			justep.Util.hint("请选择教师!");
			return;
		}
		
		//选中助教id
		//alert("请选择助教！");
		var assistantSelect = this.comp("assistantSelect");
		var assistantSelectId = assistantSelect.val();
		
		if(assistantSelectId==null||assistantSelectId==""){
			justep.Util.hint("请选择助教!");
			return;
		}
		
		
		//上课内容
		var classContent = this.comp("classContent").val();
	//		if (document.getElementById("lesson-home-work").value.length > 500) {
	//		alert("课后作业文字长度不要超过500！");

		
		//课后作业
		var homework = this.comp("homework").val();
		
		//备注
		var comment = this.comp("comment").val();
		
//		alert(" 班级id "+this.classid+" 上课日期 "+classDate+"  "+" 完成课次 "+fv+"  "+" 选中教师id "+teacherSelectId+"  "+" 选中助教id "+assistantSelectId+"  "+" 上课内容  "+classContent+" 课后作业 "+homework+" 备注 "+comment);
//		alert("请选择上课学生！id "+studentDataCheck);
//		alert("请选择试听学生！id "+testStudentDataCheck);

		
		
		
		/********* 请求后台 ***************/
		//var self = this;

		var params = {
			"uid" : userData.val('uid'),
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			"classSetId"  : self.classSetId,
			"datetime" : classDate
			
		};

		
		var success = function(resultData) {
			if (resultData.success) {
				//验证成功
				
		
				
				if (resultData.flag == 1) {
					justep.Util.hint("该上课日期已经存在上课记录，请确认！");
				} else if (resultData.flag == 2) {
					justep.Util.hint("该日期已经结算，不能添加上课记录，请确认！");
				} else {

						////////////////////// 保存
						var params = {
							"agencyid" : sysAgencyId,
							"uid" : userData.val('uid'),
						
							"username" : userData.val('username'),
							"password" : userData.val('password'),

							"classSetId"  : self.classSetId,
							"classDate" : classDate,
							"fv" : fv,
							"teacherSelectId" : teacherSelectId,
							"assistantSelectId" : assistantSelectId,
							"classContent" : classContent,
							"homework" : homework,
							"comment" : comment,
							"studentDataCheck" : studentDataCheck,
							"testStudentDataCheck" : testStudentDataCheck
							
							
			
							
						};
						
						
						var success = function(resultData) {
							if (resultData.success) {
								//保存成功
								justep.Util.hint("保存成功");		
								self.close();
				
							} else {			
								justep.Util.hint(resultData.resultCode);		
							}
						};
						
						
						justep.Baas.sendRequest({
							"url" : "/school/school", // servlet请求地址
							"action" : "saveUpdateSetTeachingLog", // action
							"async" : true,
							"params" : params, // action对应的参数
							"success" : success,
							"error":function(){
								justep.Util.hint("请检查网络连接!");
							}
						
						});
						
						
						
						
				}
				
				

			} else {			
				justep.Util.hint(resultData.resultCode);		
			}
		};

		// ///////////////// 验证
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "saveSetCheck", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		
		});
	
		
		
		
		
	};




	Model.prototype.modelLoad = function(event){
		
		var self = this;
		
		//上课人数 初始化
		this.stucount=0;
		this.stutestcount=0;
		
		/********* 接收参数  calssid ***************/
		if (this.params && this.params.classSetId) {
			this.classSetId = this.params.classSetId;
			this.classSetName = this.params.classSetName;
			
			
			//课程名称
			var classNameSpan = this.getElementByXid("classNameSpan");
			classNameSpan.innerHTML=this.classSetName;
			
		}
		
		
		
		
		/********* 请求后台 ***************/
		var studentData = this.comp("studentData");
		var testStudentData = this.comp("testStudentData");
		var teacherData = this.comp("teacherData");
		


		var params = {
			"uid" : userData.val('uid'),
		
			"username" : userData.val('username'),
			"password" : userData.val('password'),
			"classSetId"  : this.classSetId,
			"agencyid" : sysAgencyId,
			// 列定义，里面包含列名和列数据类型
			"columnsStudentData" : studentData.getColumnIDs(),
			// 列定义，里面包含列名和列数据类型
			"columnsTestStudentData" : testStudentData.getColumnIDs(),
			// 列定义，里面包含列名和列数据类型
			"columnsTeacherData" : teacherData.getColumnIDs()
		};

		// /////////////// 请求成功后的回调方法
		var success = function(resultData) {

			if (resultData.success) {

				//学员数据
				studentData.loadData(resultData.student);
//		<s:if test="#list[3]==null">当前学员未考勤</s:if>
//	    <s:if test="#list[2] <= 0">请缴费</s:if>
//	    <s:if test="#list[2] <= 3">&nbsp;&nbsp;剩余次数<s:property value="#list[2]"/></s:if>

				studentData.each(function(obj){
					studentData.setValue("tremark", "5", obj.row);
					studentData.setValue("tremark2", "5", obj.row);
					studentData.setValue("tcomment", "", obj.row);
				});

				
				
				//试听学员数据
				testStudentData.loadData(resultData.teststudent);
//		&nbsp;&nbsp;<s:if test="#list[2] <= -3">请缴费</s:if>
				
				
				testStudentData.each(function(obj){
					testStudentData.setValue("tremark", "5", obj.row);
					testStudentData.setValue("tremark2", "5", obj.row);
					testStudentData.setValue("tcomment", "", obj.row);
				});
				
				
				//老师
				teacherData.loadData(resultData.teacher);
				
				//完成课次 默认1
				var finishClass = self.comp("finishClass");
				finishClass.set({"value":1});

				
				


			} else {
				// 失败 清空登陆状态，跳转到登陆页面 并提示错误代码
				justep.Util.hint(resultData.resultCode);
				// justep.Shell.showPage("login");
			}
		};

		// ///////////////// 发送请求
		justep.Baas.sendRequest({
			"url" : "/school/school", // servlet请求地址
			"action" : "toSaveUpdateSetTeachingLog", // action
			"async" : true,
			"params" : params, // action对应的参数
			"success" : success,
			"error":function(){
				justep.Util.hint("请检查网络连接!");
			}
		// 请求成功后的回调方法
		});
		
		

	};













//选中 缴费学员    计算上课人数
	Model.prototype.checkbox2Change = function(event){
		if(event.checked){
			this.stucount = this.stucount + 1;
		}else{
			this.stucount = this.stucount - 1;
		}
		
		//上课人数
		var classNumberSpan = this.getElementByXid("classNumberSpan");
		classNumberSpan.innerHTML=this.stucount+this.stutestcount;
	};



	Model.prototype.checkbox3Change = function(event){
		if(event.checked){
			this.stutestcount = this.stutestcount + 1;
		}else{
			this.stutestcount = this.stutestcount - 1;
		}
		
		//上课人数
		var classNumberSpan = this.getElementByXid("classNumberSpan");
		classNumberSpan.innerHTML=this.stucount+this.stutestcount;
	};














	return Model;
});